<template>
  <header class="header-box">
    <div class="container">
      <!-- <span class="menu" @click="$emit('toggleNav')">
            <i class="fas fa-bars text-xl"></i>
        </span> -->
      <a href="" class="logo">
        <span class="">後台系統</span>
      </a>
      <!-- <ul class="inline-flex">
            <li class="ml-3"><i class="fas fa-user mr-1"></i>admin</li>
            <li class="ml-3 ursor-pointer" @click="logoutHandler"><i class="fas fa-sign-out-alt mr-1"></i>登出</li>
        </ul> -->
      <div >
        <router-link :to="{ name: 'productList' }"
          ><span class="">產品列表</span></router-link
        >
        <router-link style="margin-left: 10px" :to="{ name: 'AddProduct' }"
          ><span class="">產品新增</span></router-link
        >
      </div>

      <div class="user-dropdown" :class="{ open: dropdownOpen }">
        <a href="#" @click.prevent="toggleOpen">
          <i class="fas fa-user mr-1"></i>admin
          <span class="caret-down">&blacktriangledown;</span>
        </a>
        <div class="dropdown-box">
          <div class="dropdown-arrow"></div>
          <ul class="dropdown-menu">
            <li class="cursor-pointer" @click="logoutHandler">
              <i class="fas fa-sign-out-alt mr-1"></i>登出
            </li>
          </ul>
        </div>
      </div>
    </div>
  </header>
</template>
<script>
export default {
  data() {
    return {
      dropdownOpen: false,
    };
  },
  methods: {
    logoutHandler() {
      if (confirm(`是否要登出？`)) {
        window.localStorage.clear();
        location.href = "/";
      }
    },
    toggleOpen() {
      this.dropdownOpen = !this.dropdownOpen;
    },
  },
};
</script>
<style lang="scss">
.menu {
  display: none;
  @media (max-width: 991px) {
    display: flex;
  }
}
.user-dropdown {
  position: relative;
  &.open {
    .dropdown-box {
      display: block;
    }
  }
  .dropdown-arrow:before {
    content: "";
    bottom: -0.375rem;
    transform: rotate(45deg);
    height: 0.75rem;
    width: 0.75rem;
    margin-left: -5px;
    background-color: hsla(0, 0%, 100%, 0.98);
    box-shadow: 0 0 0 1px rgba(20, 20, 31, 0.05),
      0 2px 7px 1px rgba(20, 20, 31, 0.16);
    display: block;
    position: absolute;
    top: -5px;
    right: 10px;
  }
  .dropdown-box {
    width: 100px;
    font-size: 15px;
    display: none;
    position: absolute;
    right: 0;
    top: calc(100% + 10px);
    z-index: 99;
    color: #000;
    text-align: center;
    box-shadow: 0 0 0 1px rgba(20, 20, 31, 0.05),
      0 2px 7px 1px rgba(20, 20, 31, 0.16);
  }
  .dropdown-menu {
    background: #fff;
    position: relative;
    z-index: 2;
    padding: 8px;
    border-radius: 0.2rem;
  }
}
.header-box {
  background-color: #346cb0;
  color: #fff;
  padding: 15px 0;
  a {
    color: #fff;
    text-decoration: none;
  }
  .logo {
    font-size: 18px;
  }
  .container {
    display: flex;
    justify-content: space-between;
  }
}
</style>
